package ejbs;

import entities.NoTableAnnotation;
import java.rmi.RemoteException;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class CMEMWithRLBean implements NoTableAnnotationRemote {
    
    @PersistenceContext(name="CMEMWithRL")
    EntityManager em;
    
    public CMEMWithRLBean() {
    }
    
    public void persistSingleEntity(int id) throws RemoteException {
        NoTableAnnotation entity = new NoTableAnnotation();
        entity.setId(id);
        em.persist(entity);
    }
    
}
